Package org.bukkit.event.world

# Class ChunkEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.world.ChunkEvent

Direct Known Subclasses:
  `ChunkLoadEvent`, `ChunkPopulateEvent`, `ChunkUnloadEvent`, `EntitiesLoadEvent`, `EntitiesUnloadEvent`, `PlayerChunkLoadEvent`, `PlayerChunkUnloadEvent`

public abstract class ChunkEvent extends WorldEvent
Represents a Chunk related event

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Chunk`
`chunk`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ChunkEvent(@NotNull Chunk chunk)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Chunk`
`getChunk()`
Gets the chunk being loaded/unloaded

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### chunk

protected Chunk chunk

## Constructor Details

### ChunkEvent

protected ChunkEvent(@NotNull @NotNull Chunk chunk)

## Method Details

### getChunk

@NotNull public @NotNull Chunk getChunk()
Gets the chunk being loaded/unloaded

Returns:
  Chunk that triggered this event